"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require('debug')('partial-name');
const action_1 = require("./action");
function createReplaceAction(searchValue, options) {
    options = options || {};
    const stopOnSuccess = options.stopOnSuccess;
    const replaceValue = typeof options.replaceValue === 'string' ? options.replaceValue : '';
    return (name) => {
        const partialName = name.replace(searchValue, replaceValue);
        if (partialName === name) {
            return { success: false, name: null };
        }
        if (!action_1.isValidName(partialName)) {
            debug(`replace partial name is invalid: ${partialName}`);
            return { success: false, name: null };
        }
        return { stopOnSuccess, success: true, name: partialName };
    };
}
exports.createReplaceAction = createReplaceAction;
